import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:youtube_player_flutter/youtube_player_flutter.dart';

class PlayVideoPage extends StatelessWidget {
  String link;
  PlayVideoPage({required this.link,Key? key}) : super(key: key);

  late YoutubePlayerController _controller;

  @override
  Widget build(BuildContext context) {
    _controller = YoutubePlayerController(
      initialVideoId: YoutubePlayer.convertUrlToId(link).toString(),
      flags: const YoutubePlayerFlags(
        mute: false,
        autoPlay: true,
        disableDragSeek: false,
        loop: false,
        isLive: false,
        forceHD: false,
        enableCaption: true,
      ),
    );
    return
      YoutubePlayerBuilder(
      onExitFullScreen: () {SystemChrome.setPreferredOrientations(DeviceOrientation.values);},
      player: YoutubePlayer(
        controller: _controller,
        showVideoProgressIndicator: true,
        progressIndicatorColor: Colors.blueAccent,
      ),
      builder: (context, player) => Scaffold(
        appBar: AppBar(title: Text(YoutubePlayer.convertUrlToId(link).toString()),),
        body: Container(child: player),
      ),
    );
  }
}
